Get transform stats
- GET /_transform/{transform_id}/_stats
Get usage information for transforms.
Required privileges
- Index privileges read view_index_metadata
- Cluster privileges monitor_transform
Query parameters
-
allow_no_matchboolean · default: true -
Specifies what to do when the request:
- Contains wildcard expressions and there are no transforms that match.
- Contains the _all string or no identifiers and there are no matches.
- Contains wildcard expressions and there are only partial matches.
If this parameter is false, the request returns a 404 status code when there are no matches or only partial matches.
-
basicboolean · default: falseThe Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 8.13 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes. -
If true, the response includes
id,state,node,stats,health, and basiccheckpointinginformation (the last and next checkpoint numbers, and the next checkpoint'spositionandprogress). Skips statistics that require heavy computations to calculate:operations_behind,changes_last_detected_at,last_search_time, and the checkpoint timestamps.
Response
application/json
-
transformsobject[]required -
healthobject -
statusenumrequired -
Supported values include:
green(orGREEN): All shards are assigned.yellow(orYELLOW): All primary shards are assigned, but one or more replica shards are unassigned. If a node in the cluster fails, some data could be unavailable until that node is repaired.red(orRED): One or more primary shards are unassigned, so some data is unavailable. This can occur briefly during cluster startup as primary shards are assigned.unknownunavailable
-
Values:
greenGREENyellowYELLOWredREDunknownunavailable